Bug 1248714 - [abrt] cinnamon: _render_glyph_outline(): cinnamon killed by SIGSEGV
[abrt] cinnamon: _render_glyph_outline(): cinnamon killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:087153c4f38e68f362738451693...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 12:30 EDT by Dmitriy
Modified: 2015-12-02 13:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:43:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (227.81 KB, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: core_backtrace (74.32 KB, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: dso_list (20.03 KB, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: environ (1.63 KB, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: maps (96.26 KB, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: open_fds (5.64 KB, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2015-07-30 12:30 EDT, Dmitriy
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-07-30 12:30 EDT, Dmitriy
no flags Details

  None (edit)
Description Dmitriy 2015-07-30 12:30:10 EDT
Description of problem:
crached after reboot

Version-Release number of selected component:
cinnamon-2.6.7-3.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: _render_glyph_outline
executable:     /usr/bin/cinnamon
kernel:         4.0.8-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _render_glyph_outline at cairo-ft-font.c:1459
 #3 _cairo_ft_scaled_glyph_init at cairo-ft-font.c:2378
 #4 _cairo_scaled_glyph_lookup at cairo-scaled-font.c:3004
 #5 composite_glyphs at cairo-image-compositor.c:889
 #6 clip_and_composite at cairo-traps-compositor.c:1049
 #7 _cairo_traps_compositor_glyphs at cairo-traps-compositor.c:2331
 #8 _cairo_compositor_glyphs at cairo-compositor.c:250
 #9 _cairo_image_surface_glyphs at cairo-image-surface.c:1005
 #10 _cairo_surface_show_text_glyphs at cairo-surface.c:2600
 #11 _cairo_gstate_show_text_glyphs at cairo-gstate.c:2023
Comment 1 Dmitriy 2015-07-30 12:30:16 EDT
Created attachment 1057740 [details]
File: backtrace
Comment 2 Dmitriy 2015-07-30 12:30:18 EDT
Created attachment 1057741 [details]
File: cgroup
Comment 3 Dmitriy 2015-07-30 12:30:20 EDT
Created attachment 1057742 [details]
File: core_backtrace
Comment 4 Dmitriy 2015-07-30 12:30:22 EDT
Created attachment 1057743 [details]
File: dso_list
Comment 5 Dmitriy 2015-07-30 12:30:24 EDT
Created attachment 1057744 [details]
File: environ
Comment 6 Dmitriy 2015-07-30 12:30:25 EDT
Created attachment 1057745 [details]
File: limits
Comment 7 Dmitriy 2015-07-30 12:30:28 EDT
Created attachment 1057746 [details]
File: maps
Comment 8 Dmitriy 2015-07-30 12:30:29 EDT
Created attachment 1057747 [details]
File: open_fds
Comment 9 Dmitriy 2015-07-30 12:30:31 EDT
Created attachment 1057748 [details]
File: proc_pid_status
Comment 10 Dmitriy 2015-07-30 12:30:32 EDT
Created attachment 1057749 [details]
File: exploitable
Comment 11 Fedora End Of Life 2015-11-04 05:59:52 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-12-02 09:43:42 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.